How Can I Upgrade the Firmware of my NI Waveform Generator Device?

Updated May 21, 2018

Reported In

Hardware

  • PXIe-5450
  • PXIe-5451
  • PXIe-5442

Driver

  • NI-FGEN 17.5

Issue Details

My NI Waveform Generator device does not pass the self test in NI MAX. The following message is displayed:

The self test failed. Status Code: -201168. Firmware for this device is too old.
 

Solution

You need to update your NI Waveform Generator device firmware: the NI Waveform Generator having upgreadable firmware are the PXIe-5442, PXIe-5450, and PXIe-5451 (NI-DAQmx-Based Waveform Generators).
The upgrade of the firmware is highly encouraged as newer firmware versions contain new features and important bug fixes.
These are the steps to follow in order to perform the firmware upgrade:
  1. run the Firmware Updater application for your device, usually located in the Program Files\IVI Foundation\IVI\Drivers\niFgen\ or the Program Files (x86)\IVI Foundation\IVI\Drivers\niFgen\ directories. You can use 545xFirmwareUpdater_X.Y.Z.exe  for the PXIe-5450 and PXIe-5451 and 5442FirmwareUpdater_X.Y.Z.exe for the PXIe-5442 (X.Y.Z is the firmware version)
  2. in the Device menu select the device for whom you wish to update the firmware
  3. press Update Firmware.




After the application runs, you are required to power down your computer and PXI Express chassis to complete the firmware update.

WAS THIS ARTICLE HELPFUL?

Not Helpful